<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProjectsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('projects', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('name', 128);
			$table->text('description')->nullable();
			$table->unsignedBigInteger('status');
			$table->unsignedBigInteger('client_id');
			$table->enum('client_type', array('customer', 'client'))->default('customer');
			$table->unsignedBigInteger('assigned_to')->index();
			$table->timestamps();
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::dropIfExists('projects');
	}

}
